import { ElementRef, EventEmitter, QueryList, NgZone, Renderer } from '@angular/core';
import { Ion } from '../ion';
import { Config } from '../../config/config';
import { Platform } from '../../platform/platform';
import { RootNode } from '../../navigation/root-node';
/**
 * @name SplitPane
 */
export declare class SplitPane extends Ion implements RootNode {
    private _zone;
    private _plt;
    _rmListener: any;
    _visible: boolean;
    _init: boolean;
    _mediaQuery: string | boolean;
    sideContent: RootNode;
    mainContent: RootNode;
    children: QueryList<RootNode>;
    updateChildren(): void;
    when: string | boolean;
    ionChange: EventEmitter<SplitPane>;
    constructor(_zone: NgZone, _plt: Platform, config: Config, elementRef: ElementRef, renderer: Renderer);
    ngAfterViewInit(): void;
    _update(): void;
    setVisible(visible: boolean): void;
    isVisible(): boolean;
    setElementClass(className: string, add: boolean): void;
    setPaneCSSClass(elementRef: ElementRef, isSide: boolean): void;
    ngOnDestroy(): void;
    _setIsPane(isPane: boolean): void;
    _isSideContent(): boolean;
    readonly enabled: boolean;
}
